Whitelabel
Get Branding
Returns the organization's branding configuration, including product name, theme colors, and signed URLs for logos and favicons. Requires admin role.
GET /api/organization/whitelabel/branding
Example (cURL)
curl -X GET "$BASE_URL/api/organization/whitelabel/branding" \
-H "Cookie: $SESSION_COOKIE" \
-H "Accept: application/json"Response
{
"branding": {
"productName": "Acme Monitor",
"hideProductName": false,
"logoObjectKey": "branding/org-1/logo/light/1710000000-logo.svg",
"logoObjectKeyLight": "branding/org-1/logo/light/1710000000-logo.svg",
"logoObjectKeyDark": "branding/org-1/logo/dark/1710000000-logo-dark.svg",
"hideLogos": false,
"faviconObjectKey": "branding/org-1/favicon/light/1710000000-favicon.ico",
"faviconObjectKeyLight": "branding/org-1/favicon/light/1710000000-favicon.ico",
"faviconObjectKeyDark": "branding/org-1/favicon/dark/1710000000-favicon-dark.ico",
"themePrimary": "#43B1AE",
"themeSecondary": null,
"logoUrl": "https://s3.example.com/branding/org-1/logo/light/1710000000-logo.svg?...",
"logoLightUrl": "https://s3.example.com/branding/org-1/logo/light/1710000000-logo.svg?...",
"logoDarkUrl": "https://s3.example.com/branding/org-1/logo/dark/1710000000-logo-dark.svg?...",
"faviconUrl": "https://s3.example.com/branding/org-1/favicon/light/1710000000-favicon.ico?...",
"faviconLightUrl": "https://s3.example.com/branding/org-1/favicon/light/1710000000-favicon.ico?...",
"faviconDarkUrl": "https://s3.example.com/branding/org-1/favicon/dark/1710000000-favicon-dark.ico?...",
"updatedAt": "2026-03-01T10:00:00.000Z"
}
}Common errors
401 Unauthorizedwhen not authenticated403 Forbiddenwhen not an admin